libproc-processtable-perl (0.637-1) unstable; urgency=medium

  * Import upstream version 0.637.
  * Declare compliance with Debian policy 4.7.2
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 18 Aug 2025 21:45:30 +0200

libproc-processtable-perl (0.636-1) unstable; urgency=medium

  * Import upstream version 0.636.

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 27 Jun 2023 07:02:00 +0200

libproc-processtable-perl (0.635-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ Salvatore Bonaccorso ]
  * Import upstream version 0.635.
  * Update copyright years for debian/* packaging file

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 12 Jun 2023 06:51:25 +0200

libproc-processtable-perl (0.634-1) unstable; urgency=medium

  * Import upstream version 0.634.
  * debian/copyright: Add copyright stanza for newly added upstream files

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 14 Oct 2021 00:12:58 +0200

libproc-processtable-perl (0.611-1) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/copyright: replace tabs with spaces / remove trailing
    whitespace.
  * debian/control: update Build-Depends for cross builds.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Apply multi-arch hints. + libproc-processtable-perl: Add Multi-Arch: same.

  [ Salvatore Bonaccorso ]
  * Declare compliance with Debian policy 4.6.0
  * Update copyright years for debian/* packaging files
  * Bump Debhelper compat level to 13
  * Import upstream version 0.611.
  * Drop "Map GNU Hurd HALTED state to STOP" (applied upstream)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 23 Aug 2021 05:56:56 +0200

libproc-processtable-perl (0.59-2) unstable; urgency=medium

  [ Mattias Ellert ]
  * Fix FTBFS on GNU/Hurd (Closes: #942788)

  [ gregor herrmann ]
  * debian/rules: use /usr/share/dpkg/architecture.mk instead of calling
    dpkg-architecture.
  * Declare compliance with Debian Policy 4.4.1.
  * debian/watch: use uscan version 4.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- gregor herrmann <gregoa@debian.org>  Mon, 28 Oct 2019 17:07:03 +0100

libproc-processtable-perl (0.59-1) unstable; urgency=medium

  * Import upstream version 0.59
  * debian/copyright: Change path to Killall.pm
  * Update copyright years for debian/* packaging files
  * Bump Debhelper compat level to 12
  * Do not try to install PORTING document into docs (dropped upstream)
  * Drop example.pl from list of examples to install (dropped upstream)
    Drop accordingly override for dh_auto_install target.
  * Fix perl interpreter shebang lines in examples

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 06 Jul 2019 17:00:06 +0200

libproc-processtable-perl (0.56-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * Import upstream version 0.56.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.3.0.
  * Bump debhelper compatibility level to 11.
  * debian/copyright: update stanza about Windows files (changed file names).

 -- gregor herrmann <gregoa@debian.org>  Fri, 08 Feb 2019 16:27:31 +0100

libproc-processtable-perl (0.55-1) unstable; urgency=medium

  * Import upstream version 0.55
  * Drop fix-manpage-references-in-POD.patch (applied upstream)
  * Drop Recognize-the-new-P-parked-process-state.patch (applied upstream)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 02 Feb 2018 21:06:39 +0100

libproc-processtable-perl (0.53-3) unstable; urgency=medium

  * Recognize the new P (parked) process state.
    Thanks to Teodor Milkov (Closes: #886941)
  * Bump Debhelper compat level to 10
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian policy 4.1.3
  * Set Rules-Requires-Root to no

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 11 Jan 2018 17:25:59 +0100

libproc-processtable-perl (0.53-2) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Salvatore Bonaccorso ]
  * Adjust references to manpages in POD to not include .pm name ending
    (Closes: #843336)
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian policy 3.9.8
  * debian/rules: Build enabling all hardening flags

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 06 Nov 2016 17:50:17 +0100

libproc-processtable-perl (0.53-1) unstable; urgency=medium

  * Import upstream version 0.53

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 25 Aug 2015 07:35:20 +0200

libproc-processtable-perl (0.52-1) unstable; urgency=medium

  * Import upstream version 0.52
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 23 Aug 2015 20:04:52 +0200

libproc-processtable-perl (0.51-1) unstable; urgency=low

  * Update Vcs-Browser URL to cgit web frontend
  * Add debian/upstream/metadata
  * Imported upstream version 0.51
  * Wrap and sort fields in debian/control file
  * Update copyright years for debian/* packaging
  * Declare compliance with Debian Policy 3.9.6
  * Add 'Testsuite: autopkgtest-pkg-perl' header in control file

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 18 Oct 2014 07:31:26 +0200

libproc-processtable-perl (0.50-2) unstable; urgency=medium

  * Team upload.
  * Strip trailing slash from metacpan URLs.
  * Use $Config{vendorarch} to get library path in debian/rules.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Mon, 11 Aug 2014 19:20:53 +0200

libproc-processtable-perl (0.50-1) unstable; urgency=low

  * Imported Upstream version 0.50

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 15 Dec 2013 23:23:08 +0100

libproc-processtable-perl (0.49-1) unstable; urgency=low

  * Imported Upstream version 0.49
  * Drop spelling.patch (applied upstream)
  * Bump Standards-Version to 3.9.5
  * Bump Debhelper compat level to 9.
    Adjust Build-Depends on debhelper to (>=  9.20120312~) to get all
    hardening flags.
    Now builds without failing with hardening flags activated. (Closes: #661545)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 06 Dec 2013 06:53:05 +0100

libproc-processtable-perl (0.48-2) unstable; urgency=low

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 21 Jun 2013 13:50:48 +0200

libproc-processtable-perl (0.48-1) experimental; urgency=low

  * Imported Upstream version 0.48
  * Refresh spelling.patch patch (offset)
  * Drop 646785-add-new-states.patch.
    Patch slightly modified applied upstream.
  * Drop 696874-fix-Buffer-overflow-in-pctcpu.patch patch

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 27 May 2013 07:07:58 +0200

libproc-processtable-perl (0.47-1) experimental; urgency=low

  * Imported Upstream version 0.46 and 0.47
  * Update debian/copyright file information.
    Update format to copyright-format 1.0 as released together with Debian
    policy 3.9.3.
    Update Upstream-Contact to new upstream maintainer of
    Proc::ProcessTable.
    Update copyright years for debian/* packaging.
  * Bump Standards-Version to 3.9.4
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs
  * Refresh spelling.patch patch (offset)
  * Refresh 646785-add-new-states.patch patch (offset)
  * Refresh 696874-fix-Buffer-overflow-in-pctcpu.patch patch (offset)
  * Drop CVE-2011-4363.patch patch.
    Solution for CVE-2011-4363 was applied upstream in upstream version
    0.47.
  * Don't try to install TODO file (removed upstream in 0.47)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 19 May 2013 09:16:55 +0200

libproc-processtable-perl (0.45-6) unstable; urgency=low

  * Add CVE-2011-4363.patch patch
    [SECURITY] CVE-2011-4363: Fix unsafe temporary file usage. (Closes: #650500)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 10 Feb 2013 15:01:30 +0100

libproc-processtable-perl (0.45-5) unstable; urgency=low

  * Refresh 696874-fix-Buffer-overflow-in-pctcpu.patch.
    Update buffer to work with up to 9999 logical CPUs. See #696874.

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 16 Jan 2013 07:00:41 +0100

libproc-processtable-perl (0.45-4) unstable; urgency=low

  * Add 696874-fix-Buffer-overflow-in-pctcpu.patch.
    Fix for buffer overflow in pctcpu. On systems with more than 9 logical
    CPUs, a process can use more than 999% of CPU and overflow pctcpu.
    Thanks to Matthew L. Dailey and Zhengpeng Hou (Closes: #696874)
    (LP: #1093289)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 28 Dec 2012 18:49:26 +0100

libproc-processtable-perl (0.45-3) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.
  * Add myself to Uploaders.
    Update copyright for debian/* packaging.
  * Bump Debhelper compat level to 8.
    Adjust versioned Build-Depends on debhelper to (>= 8).
  * Bump Standards-Version to 3.9.2.
  * Add 646785-add-new-states.patch.
    Add support for 't (tracing stop)', 'X (dead)', 'x (dead)' and 'K
    (wakekill)' states of processes defined in fs/proc/array.c of linux
    kernel source.
    Based on patch in https://rt.cpan.org/Ticket/Display.html?id=54488
    (Closes: #646785)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 07 Nov 2011 17:22:30 +0100

libproc-processtable-perl (0.45-2) unstable; urgency=low

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Salvatore Bonaccorso ]
  * debian/control: Changed: Replace versioned (build-)dependency on
    perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as
    permitted by Debian Policy 3.8.3).

  [ Ansgar Burchardt ]
  * Email change: Ansgar Burchardt -> ansgar@debian.org
  * Email change: gregor herrmann -> gregoa@debian.org
  * Email change: Damyan Ivanov -> dam@modsoftsys.com

  [ gregor herrmann ]
  * debian/control:
    - switch Vcs-Browser field to ViewSVN
    - add ${misc:Depends} to Depends:
    - mention module name in short description
    - drop transitional dummy package libproc-process-perl, introduced in
      March 2007
    - drop Conflicts/Replaces on the libproc-process-perl version in etch
    - set Standards-Version to 3.9.1
  * debian/rules:
    - use tiny rules file
    - run hints/linux.pl explicitly when building on kFreeBSD; thanks to
      Gonéri Le Bouder for the bug report and the patch (closes: #613388).
  * Switch to source format 3.0 (quilt).
  * Add a patch to fix two minor spelling mistakes.
  * debian/copyright: use DEP5 formatting.

 -- gregor herrmann <gregoa@debian.org>  Mon, 14 Feb 2011 19:10:32 +0100

libproc-processtable-perl (0.45-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Tue, 09 Sep 2008 17:13:58 +0200

libproc-processtable-perl (0.44-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: add information about third-party files.
  * Add files from contrib/ as examples.
  * debian/control: change my email address.

 -- gregor herrmann <gregoa@debian.org>  Sat, 26 Jul 2008 14:13:17 +0200

libproc-processtable-perl (0.43-1) unstable; urgency=low

  * New upstream release
  * Update copyright years in debian/copyright
  * Regenerate debian/rules for debhelper 7
    + Update debian/compat and debian/control accordingly
  * Bump Standards Version to 3.8.0 (no changes needed)
  * Add myself to Uploaders

 -- Ansgar Burchardt <ansgar@43-1.org>  Fri, 18 Jul 2008 18:02:53 +0200

libproc-processtable-perl (0.42-1) unstable; urgency=low

  * New upstream release

 -- Gunnar Wolf <gwolf@debian.org>  Tue, 29 Jan 2008 12:10:42 -0600

libproc-processtable-perl (0.41-6) unstable; urgency=low

  [ gregor herrmann ]
  The 'ready for perl 5.10' release.

  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed: XS-
    Vcs-Svn fields.
  * debian/rules: delete /usr/share/perl5 only if it exists.
  * Set Standards-Version to 3.7.3 (no changes needed).
  * Set debhelper compatibility level to 6.
  * debian/watch: use dist-based URL.
  * debian/rules:
    - create install-stamp target (depending on build-stamp)
    - use "$@" for touching stamp files
    - add PREFIX to make install

  [ Damyan Ivanov ]
  * debian/rules: allow for passing -O0 by exporting noopt in
    DEB_BUILD_OPTIONS

 -- Damyan Ivanov <dmn@debian.org>  Thu, 24 Jan 2008 11:13:05 +0200

libproc-processtable-perl (0.41-5) unstable; urgency=low

  * Added upstream URL to debian/copyright
  * Removed unneeded dh_* calls
  * Moved dh_clean $stamp_files before distclean
  * Changed my mail in Uploaders and wrapped it

 -- Damyan Ivanov <dmn@debian.org>  Sat, 15 Sep 2007 00:08:46 +0300

libproc-processtable-perl (0.41-4) unstable; urgency=low

  * Rename the package according to the perl-policy. Closes: #412996

  * Replaces/Conflicts: libproc-process-perl (<< 0.41-4)
  * Added dummy transitional package libproc-process-perl depending on
    libproc-processtable-perl
    + Add "-a" to dh_listpackages invocation when determining temporary
      directory name
  * Added myself to Uploaders
  * Changed XS-Vcs-Svn entry

 -- Damyan Ivanov <dam@modsoftsys.com>  Fri,  9 Mar 2007 10:21:46 +0200

libproc-process-perl (0.41-3) unstable; urgency=low

  * Depend on ${shlibs:Depends} to pick up the proper libc dependency.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Tue, 26 Sep 2006 17:28:44 +0200

libproc-process-perl (0.41-2) unstable; urgency=low

  * Adopting the package on behalf of the Debian Perl Group (Closes:
    #382811)
  * Minor general packaging cleanup, to better fit with the group's
    other modules
  * Acknowledging Don Armstrong's NMU - Although the patch is basically
    a NOOP (just modifies autogenerated files), it works and the package
    is buildable in a pbuilder (Closes: #318546)

 -- Gunnar Wolf <gwolf@debian.org>  Thu, 21 Sep 2006 19:17:24 -0500

libproc-process-perl (0.41-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
  * Package is orphaned (#382811); set maintainer to Debian QA Group.
  * Switch to debhelper 5.
  * debian/changelog: Remove obsolete Emacs local variables.
  * debian/copyright:
    - Update upstream information.
    - Refer to /usr/share/common-licenses/GPL.
  * debian/docs: Remove MANIFEST.
  * debian/watch: Add.
  * Conforms to Standards version 3.7.2.

 -- Matej Vela <vela@debian.org>  Mon, 28 Aug 2006 11:29:19 +0200

libproc-process-perl (0.40-0.1) unstable; urgency=low

  * NMU
  * New upstream release
  * Fixes FTBFS test failures (Closes: #318546)
  * Remove example.pl which was being installed into
    /usr/lib/perl5/Proc/example.pl
  * Fix build dependency to depend on perl (>=5.6.0-16) as per perl
    policy, and remove the libstorable-perl dependency

 -- Don Armstrong <don@debian.org>  Thu,  4 May 2006 21:04:34 -0700

libproc-process-perl (0.39-1) unstable; urgency=low

  * New upstream release.

 -- Marcus Crafter <crafterm@debian.org>  Mon, 21 Jun 2004 09:09:05 +0200

libproc-process-perl (0.35-1) unstable; urgency=low

  * New upstream release.

 -- Marcus Crafter <crafterm@debian.org>  Thu, 12 Sep 2002 23:19:03 +0200

libproc-process-perl (0.33-4) unstable; urgency=low

  * Perl 5.8 updates.
    (closes: Bug#159030)
  * Removed dependancy on libstorable-perl (now part of Perl 5.8)
    (closes: Bug#159206)

 -- Marcus Crafter <crafterm@debian.org>  Wed,  4 Sep 2002 23:52:21 +0200

libproc-process-perl (0.33-3) unstable; urgency=low

  * Applied patch from Colin Watson <cjwatson@debian.org>, which corrects an
    uninitialized index variable. This fixes builds for alpha and ia64. Thanks
    Colin! Patch also sent to upstream.
  * Fixed fscanf() warning for char * variable, and removed unused variable.
    Patch also sent to upstream.

 -- Marcus Crafter <crafterm@debian.org>  Thu, 14 Mar 2002 22:17:46 +0100

libproc-process-perl (0.33-2) unstable; urgency=low

  * Applied patch from Colin Watson <cjwatson@debian.org>, which corrects the
    storage of the return value from fgetc(). Patch also sent to upstream.
    (closes: Bug#118366)
  * Readded all architectures to build list.

 -- Marcus Crafter <crafterm@debian.org>  Fri,  1 Feb 2002 17:16:33 +0100

libproc-process-perl (0.33-1) unstable; urgency=low

  * New upstream release
  * Added libstorable-perl to Build-Depends
  * Removed ia64 from architecture list as it's not yet supported by upstream
    (closes: Bug#111793)

 -- Marcus Crafter <crafterm@debian.org>  Tue, 23 Oct 2001 10:48:51 +0200

libproc-process-perl (0.32-1) unstable; urgency=low

  * New upstream version

 -- Marcus Crafter <Marcus.Crafter@osa.de>  Sun, 2 Sep 2001 20:03:11 -0500

libproc-process-perl (0.31-2) unstable; urgency=low

  * Modified debian/control architecture flag from i386 to any
    (closes: Bug#102119)

 -- Marcus Crafter <Marcus.Crafter@osa.de>  Mon, 25 Jun 2001 22:28:11 -0500

libproc-process-perl (0.31-1) unstable; urgency=low

  * Initial packaging (closes: Bug#100869)

 -- Marcus Crafter <Marcus.Crafter@osa.de>  Thu, 14 Jun 2001 10:26:09 -0500
